Subject: Re: git fails on large repo clone on intermittent, or intermittently-high-latency, connections

From: James Cloos <[email-masked]>
Date: Sun, 09 Jan 2011 15:04:55 -0500

In addition to the other replies, if you have a shell login elswhere you
can clone there, bundle the file, and use rsync, http, ftp or the like
to copy it down.

If the remote site's git is too old to have git bundle, use a bare clone
and tar it.  You will not need to compress the tar.

You can also use split(1) to break up the bundle or tar into smaller
chunks if that helps.  cat(1) will happily recombine those chunks.

If git bundle was not available, you can use the copied bare repo as
a --reference for a new clone, then copy the bare's pack file into
that new clone and remove the new clone's objects/info/alternates file.

I've had to use that method to get a clean clone across a small straw
(dialup or wireless) for several large repositories over the years.

-JimC
-- 
James Cloos <[email-masked]>         OpenPGP: 1024D/ED7DAEA6